=== modified file 'bzrlib/selftest/teststatus.py'
--- bzrlib/selftest/teststatus.py	2005-07-12 01:44:23 +0000
+++ bzrlib/selftest/teststatus.py	2005-08-26 16:32:50 +0000
@@ -39,11 +39,14 @@
 
         tof = StringIO()
         self.build_tree(['hello.c', 'bye.c'])
+        b.add_pending_merge('pending@pending-0-0')
         show_status(b, to_file=tof)
         tof.seek(0)
         self.assertEquals(tof.readlines(),
                           ['unknown:\n',
                            '  bye.c\n',
                            '  hello.c\n',
+                           'pending merges:\n',
+                           '  pending@pending-0-0\n'
                            ])
 

=== modified file 'bzrlib/status.py'
--- bzrlib/status.py	2005-08-18 02:24:28 +0000
+++ bzrlib/status.py	2005-08-26 16:32:50 +0000
@@ -19,7 +19,8 @@
 def show_status(branch, show_unchanged=False,
                 specific_files=None,
                 show_ids=False,
-                to_file=None):
+                to_file=None,
+                show_pending=True):
     """Display single-line status for non-ignored working files.
 
     show_all
@@ -62,6 +63,10 @@
                 print >>to_file, 'unknown:'
                 done_header = True
             print >>to_file, ' ', path
+        if show_pending and len(branch.pending_merges()) > 0:
+            print >>to_file, 'pending merges:'
+            for merge in branch.pending_merges():
+                print >> to_file, ' ', merge
     finally:
         branch.unlock()
         

